diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index b05bcc0..33aa8ed 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -1322,13 +1322,16 @@ AlgebraicMultFact(OV,E,P) : C == T
       ++ p is presented as a univariate polynomial with multivariate
       ++ coefficients.
   T == add
+
     AF := AlgFactor(BP)
 
+    INNER ==> InnerMultFact(OV,E,AN,P)
+
     factor(p:P,lalg:L AN) : Factored P ==
-      factor(p,factor(#1,lalg)$AF)$InnerMultFact(OV,E,AN,P)
+      factor(p,(z1:BP):Factored(BP) +-> factor(z1,lalg)$AF)$INNER
 
     factor(up:USP,lalg:L AN) : Factored USP ==
-      factor(up,factor(#1,lalg)$AF)$InnerMultFact(OV,E,AN,P)
+      factor(up,(z1:BP):Factored(BP) +-> factor(z1,lalg)$AF)$INNER
 
 @
 <<ALGMFACT.dotabb>>=
diff --git a/changelog b/changelog
index 5342824..fcd245d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090510 tpd src/axiom-website/patches.html 20090510.01.tpd.patch
+20090510 tpd books/bookvol10.4 ALGMFACT +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.14.tpd.patch
 20090509 tpd books/bookvol10.3 D01AJFA +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.13.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9269eef..31d2355 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1160,5 +1160,7 @@ bookvol10.4 ALGMANIP +-> conversion<br/>
 bookvol10.3 DIRPROD +-> conversion<br/>
 <a href="patches/20090509.14.tpd.patch">20090509.14.tpd.patch</a>
 bookvol10.3 D01AJFA +-> conversion<br/>
+<a href="patches/20090510.01.tpd.patch">20090510.01.tpd.patch</a>
+bookvol10.4 ALGMFACT +-> conversion<br/>
  </body>
 </html>
